The Gnumeric Manual
<<< Previous |  | Next >>>

# TREND

## Name

TREND --

## Synopsis

    TREND(known_y's[,known_x's],new_x's])

## Description

TREND function estimates future values of a given data set using the ``least squares'' line that best fit to your data. @known_y's is the y-values where y=mx+b and @known_x's contains the corresponding x-values. @new_x's contains the x-values for which you want to estimate the y-values.

If @known_x's is omitted, an array {1, 2, 3, ...} is used. If @new_x's is omitted, it is assumed to be the same as @known_x's. If @known_y's and @known_x's have unequal number of data points, TREND returns #NUM! error.

## Examples

Let us assume that the cells A1, A2, ..., A5 contain numbers 11.4, 17.3, 21.3, 25.9, and 40.1, and the cells B1, B2, ... B5 23.2, 25.8, 29.9, 33.5, and 42.7. Then

TREND(A1:A5,B1:B5) equals 156.52.

## See also

LINEST.

<<< Previous | Home | Next >>>
TRANSPOSE | Up | TRIM